Page MenuHomePhabricator

[MLIR][NFC] Adopt use of TypeRange in build() methods.
ClosedPublic

Authored by jurahul on Sep 18 2020, 2:22 PM.

Details

Summary
  • Use TypeRange instead of ArrayRef<Type> where possible.
  • Change some of the custom builders to also use TypeRange

Depends On D87926

Diff Detail

Event Timeline

jurahul created this revision.Sep 18 2020, 2:22 PM
Herald added a reviewer: aartbik. · View Herald Transcript
Herald added a reviewer: ftynse. · View Herald Transcript
Herald added a project: Restricted Project. · View Herald Transcript
jurahul requested review of this revision.Sep 18 2020, 2:22 PM
jpienaar accepted this revision.Sep 21 2020, 10:14 AM
This revision is now accepted and ready to land.Sep 21 2020, 10:14 AM
This revision was landed with ongoing or failed builds.Sep 23 2020, 9:08 AM
This revision was automatically updated to reflect the committed changes.